From 0e1215bc322176ea2abe4b1a800f0c4d51fb92da Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Tue, 16 Nov 2021 11:02:06 -0500
Subject: [PATCH v10 1/4] Document that tar archives are now properly
 terminated.

Commit 5a1007a5088cd6ddf892f7422ea8dbaef362372f changed the server
behavior, but I didn't notice that the existing behavior was
documented, and therefore did not update the documentation.
This commit does that.

I chose to mention that the behavior has changed rather than just
removing the reference to a deviation from a standard. It seemed
like that might be helpful to tool authors.
---
 doc/src/sgml/protocol.sgml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index e59216e7f2..34a7034282 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -2809,8 +2809,10 @@ The commands accepted in replication mode are:
       than <literal>pg_default</literal> and <literal>pg_global</literal>. The data in
       the CopyOutResponse results will be a tar format (following the
       <quote>ustar interchange format</quote> specified in the POSIX 1003.1-2008
-      standard) dump of the tablespace contents, except that the two trailing
-      blocks of zeroes specified in the standard are omitted.
+      standard) dump of the tablespace contents. Prior to
+      <literal>PostgreSQL</literal> 15, the server omitted the two trailing
+      blocks of zeroes specified in the standard, but this is no longer the
+      case.
       After the tar data is complete, and if a backup manifest was requested,
       another CopyOutResponse result is sent, containing the manifest data for the
       current base backup. In any case, a final ordinary result set will be
-- 
2.24.3 (Apple Git-128)

